### Virtual Method

# Fwupd BiosSetting write_value

since: 1.9.4

#### Declaration [src]

    gboolean
    write_value (
      FwupdBiosSetting* self,
      const gchar* value,
      GError** error
    )

#### Description [src]

Writes a new value into the setting if it is different from the current value.

NOTE: A subclass should handle the `->write_value()` vfunc and actually write the value to the firmware.

Available since: 1.9.4

#### Parameters

`value`

  Type: `const gchar*`

  The string to write.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the virtual function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` for success.